package cn.report.excel.easyexcel.custom.base;

import org.apache.poi.xssf.usermodel.XSSFCellStyle;

/**对excel：由数字列0直接转换为字符列A
*  String colString = CellReference.convertNumToColString(0);  //长度转成ABC列
*  //获取sheet页数量
	int numberOfSheets = workbook.getNumberOfSheets();
*/
public class RowSum
{
	private int sheetNum = 0;//汇总的sheet
    private int rowNum;//数据行+表头行数
    private int startCol = 0;//合并的起始列
    private int endCol = 0;//合并的结束列
    private String title="总和";//文字提示
    private String formula;//计算公式
    private XSSFCellStyle cellStyle;
    
    public int getSheetNum() {
		return sheetNum;
	}
	public void setSheetNum(int sheetNum) {
		this.sheetNum = sheetNum;
	}

	public RowSum() {}
    
    public RowSum(int rowNum, int startCol, int endCol, String formula) {
		this.rowNum = rowNum;
		this.startCol = startCol;
		this.endCol = endCol;
		this.formula = formula;
	}
    
    public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}
	public int getRowNum() {
		return rowNum;
	}
	public void setRowNum(int rowNum) {
		this.rowNum = rowNum;
	}
	public int getStartCol() {
		return startCol;
	}
	public void setStartCol(int startCol) {
		this.startCol = startCol;
	}
	public int getEndCol() {
		return endCol;
	}
	public void setEndCol(int endCol) {
		this.endCol = endCol;
	}
	public String getFormula() {
		return formula;
	}
	public void setFormula(String formula) {
		this.formula = formula;
	}
	public XSSFCellStyle getCellStyle() {
		return cellStyle;
	}
	public void setCellStyle(XSSFCellStyle cellStyle) {
		this.cellStyle = cellStyle;
	}
}
